Inhalte

# Funktion HasUnoInterfaces

Ermittelt, ob ein Basic-Uno-Objekt bestimmte Uno-Interfaces unterstützt.

Gibt "True" zurück, wenn alle angegebenen Uno-Schnittstellen unterstützt werden, ansonsten "False".

### Syntax:

HasUnoInterfaces( oTest, Uno-Schnittstellenname 1 [, Uno-Schnittstellenname 2, …])

### Rückgabetyp:

Bool

### Parameter:

Name | Typ | Beschreibung
--- | --- | ---
oTest | Object | das Basic Uno-Objekt, das Sie testen möchten.
Uno-Interface-Name 1, Uno-Interface-Name 2, … | String | Uno-Schnittstellenname(n)

### Beispiel:

    Sub HasInterface
        Dim bHas as Boolean
        Dim oSheet as Object
        oSheet = ThisComponent.Sheets(0)
        bHas = HasUnoInterfaces( oSheet, "com.sun.star.beans.XIntrospection" )
        Print bHas ' = True
    End Sub

Verwandte Themen

UNO-Objekte, -Funktionen und -Dienste